# QAbstractSocket Class Reference

### [com.trolltech.qt.network package]

Inherits QIODevice.

### Constructor

- void QAbstractSocket(SocketType socketType, QObject parent)

### Constructor Properties

- prototype: The QAbstractSocket prototype object
- UnknownSocketType = -1
- TcpSocket
- UdpSocket
- SocketType( value )
- UnknownSocketError = -1
- ConnectionRefusedError
- RemoteHostClosedError
- HostNotFoundError
- SocketAccessError
- SocketResourceError
- SocketTimeoutError
- DatagramTooLargeError
- NetworkError
- AddressInUseError
- SocketAddressNotAvailableError
- UnsupportedSocketOperationError
- UnfinishedSocketOperationError
- ProxyAuthenticationRequiredError
- SslHandshakeFailedError
- ProxyConnectionRefusedError
- ProxyConnectionClosedError
- ProxyConnectionTimeoutError
- ProxyNotFoundError
- ProxyProtocolError
- SocketError( value )
- UnknownNetworkLayerProtocol = -1
- IPv4Protocol
- IPv6Protocol
- NetworkLayerProtocol( value )
- LowDelayOption
- KeepAliveOption
- MulticastTtlOption
- MulticastLoopbackOption
- SocketOption( value )
- UnconnectedState
- HostLookupState
- ConnectingState
- ConnectedState
- BoundState
- ListeningState
- ClosingState
- SocketState( value )

### Prototype Object Properties

The QAbstractSocket prototype object inherits properties from the QIODevice prototype object and also has the following properties.

- void abort()
- void connectToHost(QHostAddress address, unsigned short port, OpenMode mode)
- void disconnectFromHost()
- SocketError error()
- bool flush()
- bool isValid()
- QHostAddress localAddress()
- unsigned short localPort()
- QHostAddress peerAddress()
- String peerName()
- unsigned short peerPort()
- QNetworkProxy proxy()
- qint64 readBufferSize()
- void setProxy(QNetworkProxy networkProxy)
- void setReadBufferSize(qint64 size)
- bool setSocketDescriptor(int socketDescriptor, SocketState state, OpenMode openMode)
- void setSocketOption(SocketOption option, Object value)
- int socketDescriptor()
- Object socketOption(SocketOption option)
- SocketType socketType()
- SocketState state()
- bool waitForConnected(int msecs)
- bool waitForDisconnected(int msecs)

### Instance Properties

QAbstractSocket objects have no special properties beyond those inherited from the QAbstractSocket prototype object.